<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_mysql',null,'index.php?'.SID);
adm_check();

$set['title']='Дополнительные настройки системы';
include_once '../sys/inc/thead.php';
title();
if (isset($_POST['save'])){
$admin_settings=mysql_fetch_array(mysql_query("SELECT * FROM `admin_settings`"));
if (isset($_POST['udacha']) && ($_POST['udacha']==1 || $_POST['udacha']==0)){
$admin_settings['udacha']=intval($_POST['udacha']);
mysql_query("UPDATE `admin_settings` SET `udacha` = '$admin_settings[udacha]' WHERE `id` = '1' LIMIT 1");
}
else $err='Извините, но произошла ошибка в поле режима управления акцией (Удача)';

if (!isset($err)){
msg('Изменения успешно приняты');
admin_log('Настройки','Система','Изменение дополнительных системных настроек');
}
}
err();
aut();
echo "<form method=\"post\" action=\"?\">\n";
$admin_settings=mysql_fetch_array(mysql_query("SELECT * FROM `admin_settings`"));
echo "<div class='p_t'>Акция (Удача):</div>\n<select name='udacha'>\n";
echo "<option value='1'".($admin_settings['udacha']==1?" selected='selected'":null).">Включить</option>\n";
echo "<option value='0'".($admin_settings['udacha']==0?" selected='selected'":null).">Выключить</option>\n";
echo "</select><br />\n";

echo "<input value=\"Сохранить изменения\" name='save' type=\"submit\" />\n";
echo "</form>\n";

if (user_access('adm_panel_show')){
echo "<div class='foot'><img src='/style/icons/dpanel.png' alt='' class='icon'/> <a href='/adm_panel/'>Вернуться в админку</a></div>\n";
}
include_once '../sys/inc/tfoot.php';
?>